Форум русскоязычного сообщества Ubuntu


Автор Тема: Ошибка: Установленные пакеты имеют неразрешённые зависимости  (Прочитано 4552 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн MaRKerSPB

  • Автор темы
  • Новичок
  • *
  • Сообщений: 12
    • Просмотр профиля
    • Авто Life
приветствую всех, решил перейти на Linux Установил Kubuntu, и заметил что система тормозит даже браузер, понял что надо ставить драйвера на видео карту, сразу пошёл в гугл и он мне выдал такую статью https://help.ubuntu.ru/wiki/%D0%B4%D1%80%D0%B0%D0%B9%D0%B2%D0%B5%D1%80_%D0%B2%D0%B8%D0%B4%D0%B5%D0%BE%D0%BA%D0%B0%D1%80%D1%82_intel всё сделал как там сказано после перезагрузки в трее появился знак "кирпич" кликаю на него и там пишется что произошла ошибка сделайте то то, команду sudo apt-get install -f и то что устоновленные пакеты имеют неразрешённые зависимости. выполнил то что мне посоветовали и вот что из этого получилось
sergey@sergey-Lenovo-B50-10:/var/lib/dpkg/info$ sudo apt-get -f install
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Исправление зависимостей… Готово
Следующий пакет устанавливался автоматически и больше не требуется:
  libdrm-common
Для его удаления используйте «sudo apt autoremove».
Будут установлены следующие дополнительные пакеты:
  libdrm-amdgpu1
Пакеты, которые будут обновлены:
  libdrm-amdgpu1
обновлено 1, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 0 пакетов не обновлено.
не установлено до конца или удалено 7 пакетов.
Необходимо скачать 0 B/31,9 kB архивов.
После данной операции, объём занятого дискового пространства возрастёт на 12,3 kB.
Хотите продолжить? [Д/н] д
dpkg: предупреждение: список файлов пакета «language-selector-common» отсутствует; предполагаем, что на данный момент у пакета нет установленных файлов
(Чтение базы данных … на данный момент установлено 194500 файлов и каталогов.)
Подготовка к распаковке …/libdrm-amdgpu1_2.4.89+git1801190630.3509e7~oibaf~x_i386.deb …
Распаковывается libdrm-amdgpu1:i386 (2.4.89+git1801190630.3509e7~oibaf~x) на замену (2.4.83-1~16.04.1) …
dpkg: ошибка при обработке архива /var/cache/apt/archives/libdrm-amdgpu1_2.4.89+git1801190630.3509e7~oibaf~x_i386.deb (--unpack):
 попытка перезаписать «/usr/share/libdrm/amdgpu.ids», который уже имеется в пакете libdrm-common 2.4.83-1~16.04.1
Обрабатываются триггеры для libc-bin (2.23-0ubuntu10) …
При обработке следующих пакетов произошли ошибки:
 /var/cache/apt/archives/libdrm-amdgpu1_2.4.89+git1801190630.3509e7~oibaf~x_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
sergey@sergey-Lenovo-B50-10:/var/lib/dpkg/info$ sudo rm amdgpu
rm: невозможно удалить 'amdgpu': Нет такого файла или каталога
sergey@sergey-Lenovo-B50-10:/var/lib/dpkg/info$ sudo rm libdrm-common 2.4.83-1~16.04.1
rm: невозможно удалить 'libdrm-common': Нет такого файла или каталога
rm: невозможно удалить '2.4.83-1~16.04.1': Нет такого файла или каталога
sergey@sergey-Lenovo-B50-10:/var/lib/dpkg/info$ sudo apt-get -f install
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Исправление зависимостей… Готово
Следующий пакет устанавливался автоматически и больше не требуется:
  libdrm-common
Для его удаления используйте «sudo apt autoremove».
Будут установлены следующие дополнительные пакеты:
  libdrm-amdgpu1
Пакеты, которые будут обновлены:
  libdrm-amdgpu1
обновлено 1, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 0 пакетов не обновлено.
не установлено до конца или удалено 7 пакетов.
Необходимо скачать 0 B/31,9 kB архивов.
После данной операции, объём занятого дискового пространства возрастёт на 12,3 kB.
Хотите продолжить? [Д/н] д
dpkg: предупреждение: список файлов пакета «language-selector-common» отсутствует; предполагаем, что на данный момент у пакета нет установленных файлов
(Чтение базы данных … на данный момент установлено 194500 файлов и каталогов.)
Подготовка к распаковке …/libdrm-amdgpu1_2.4.89+git1801190630.3509e7~oibaf~x_i386.deb …
Распаковывается libdrm-amdgpu1:i386 (2.4.89+git1801190630.3509e7~oibaf~x) на замену (2.4.83-1~16.04.1) …
dpkg: ошибка при обработке архива /var/cache/apt/archives/libdrm-amdgpu1_2.4.89+git1801190630.3509e7~oibaf~x_i386.deb (--unpack):
 попытка перезаписать «/usr/share/libdrm/amdgpu.ids», который уже имеется в пакете libdrm-common 2.4.83-1~16.04.1
Обрабатываются триггеры для libc-bin (2.23-0ubuntu10) …
При обработке следующих пакетов произошли ошибки:
 /var/cache/apt/archives/libdrm-amdgpu1_2.4.89+git1801190630.3509e7~oibaf~x_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
sergey@sergey-Lenovo-B50-10:/var/lib/dpkg/info$ sudo apt-get install -f
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Исправление зависимостей… Готово
Следующий пакет устанавливался автоматически и больше не требуется:
  libdrm-common
Для его удаления используйте «sudo apt autoremove».
Будут установлены следующие дополнительные пакеты:
  libdrm-amdgpu1
Пакеты, которые будут обновлены:
  libdrm-amdgpu1
обновлено 1, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 0 пакетов не обновлено.
не установлено до конца или удалено 7 пакетов.
Необходимо скачать 0 B/31,9 kB архивов.
После данной операции, объём занятого дискового пространства возрастёт на 12,3 kB.
Хотите продолжить? [Д/н] д
dpkg: предупреждение: список файлов пакета «language-selector-common» отсутствует; предполагаем, что на данный момент у пакета нет установленных файлов
(Чтение базы данных … на данный момент установлено 194500 файлов и каталогов.)
Подготовка к распаковке …/libdrm-amdgpu1_2.4.89+git1801190630.3509e7~oibaf~x_i386.deb …
Распаковывается libdrm-amdgpu1:i386 (2.4.89+git1801190630.3509e7~oibaf~x) на замену (2.4.83-1~16.04.1) …
dpkg: ошибка при обработке архива /var/cache/apt/archives/libdrm-amdgpu1_2.4.89+git1801190630.3509e7~oibaf~x_i386.deb (--unpack):
 попытка перезаписать «/usr/share/libdrm/amdgpu.ids», который уже имеется в пакете libdrm-common 2.4.83-1~16.04.1
Обрабатываются триггеры для libc-bin (2.23-0ubuntu10) …
При обработке следующих пакетов произошли ошибки:
 /var/cache/apt/archives/libdrm-amdgpu1_2.4.89+git1801190630.3509e7~oibaf~x_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
пошарился ещё в интернете команды апгрейт и инстал ничего не дают, что делать не знаю, система для меня новая что к чему тут фиг знает вот и прошу помощи у вас =) Как исправить эту ошибку и разобраться с видео драйвером (к слову у меня ноут и модель видео карты везде пишет как просто Intel Graphics HD)

Оффлайн ARTGALGANO

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 1936
    • Просмотр профиля
MaRKerSPB, отключите этот реп oibaf.
и

sudo apt clean
sudo apt update
sudo apt install -f

Оффлайн MaRKerSPB

  • Автор темы
  • Новичок
  • *
  • Сообщений: 12
    • Просмотр профиля
    • Авто Life
MaRKerSPB, отключите этот реп oibaf.
и

sudo apt clean
sudo apt update
sudo apt install -f

Вроде сделал как вы сказали но без результатно
sergey@sergey-Lenovo-B50-10:/$ add-apt-repository --remove ppa:oibaf
Ошибка: необходимо запускать с правами администратора
sergey@sergey-Lenovo-B50-10:/$ sudo add-apt-repository --remove ppa:oibaf
Cannot add PPA: 'ppa:~oibaf/ubuntu/ppa'.
The user named '~oibaf' has no PPA named 'ubuntu/ppa'
Please choose from the following available PPAs:
 * 'gallium-nine':  Gallium Nine Test PPA
 * 'graphics-drivers':  Updated and Optimized Open Graphics Drivers
 * 'test':  Testing PPA
sergey@sergey-Lenovo-B50-10:/$ sudo apt clean
sergey@sergey-Lenovo-B50-10:/$ sudo apt update
Игн:1 cdrom://Xubuntu 16.04.1 LTS _Xenial Xerus_ - Release i386 (20160719) xenial InRelease
Сущ:2 cdrom://Xubuntu 16.04.1 LTS _Xenial Xerus_ - Release i386 (20160719) xenial Release
Сущ:4 http://ru.archive.ubuntu.com/ubuntu xenial InRelease
Сущ:5 http://ru.archive.ubuntu.com/ubuntu xenial-updates InRelease                                     
Сущ:6 http://security.ubuntu.com/ubuntu xenial-security InRelease                                     
Сущ:7 http://ppa.launchpad.net/oibaf/graphics-drivers/ubuntu xenial InRelease                         
Сущ:8 http://ru.archive.ubuntu.com/ubuntu xenial-backports InRelease                                   
Сущ:9 http://archive.canonical.com/ubuntu xenial InRelease                                             
Сущ:10 https://download.01.org/gfx/ubuntu/16.04/main xenial InRelease
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Может быть обновлено 9 пакетов. Запустите «apt list --upgradable» для их показа.
W: https://download.01.org/gfx/ubuntu/16.04/main/dists/xenial/InRelease: При подписи ключом 09D6EF97BFB38E916EF060E756A3DEF863961D39 используется нестойкий алгоритм свёртки (SHA1)
sergey@sergey-Lenovo-B50-10:/$ sudo apt install -f
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Исправление зависимостей… Готово
Следующий пакет устанавливался автоматически и больше не требуется:
  libdrm-common
Для его удаления используйте «sudo apt autoremove».
Будут установлены следующие дополнительные пакеты:
  libdrm-amdgpu1 libegl1-mesa libgbm1 libgl1-mesa-dri libwayland-egl1-mesa
Пакеты, которые будут обновлены:
  libdrm-amdgpu1 libegl1-mesa libgbm1 libgl1-mesa-dri libwayland-egl1-mesa
обновлено 5, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 4 пакетов не обновлено.
не установлено до конца или удалено 7 пакетов.
Необходимо скачать 8 783 kБ архивов.
После данной операции, объём занятого дискового пространства возрастёт на 12,3 kB.
Хотите продолжить? [Д/н] д
Пол:1 http://ppa.launchpad.net/oibaf/graphics-drivers/ubuntu xenial/main i386 libwayland-egl1-mesa i386 17.4~git1801201930.60d8fe~oibaf~x [46,4 kB]
Пол:2 http://ppa.launchpad.net/oibaf/graphics-drivers/ubuntu xenial/main i386 libdrm-amdgpu1 i386 2.4.89+git1801190630.3509e7~oibaf~x [31,9 kB]
Пол:3 http://ppa.launchpad.net/oibaf/graphics-drivers/ubuntu xenial/main i386 libgbm1 i386 17.4~git1801201930.60d8fe~oibaf~x [63,7 kB]
Пол:4 http://ppa.launchpad.net/oibaf/graphics-drivers/ubuntu xenial/main i386 libegl1-mesa i386 17.4~git1801201930.60d8fe~oibaf~x [120 kB]
Пол:5 http://ppa.launchpad.net/oibaf/graphics-drivers/ubuntu xenial/main i386 libgl1-mesa-dri i386 17.4~git1801201930.60d8fe~oibaf~x [8 521 kB]
Получено 8 783 kБ за 18с (463 kБ/c)                                                                   
dpkg: предупреждение: список файлов пакета «language-selector-common» отсутствует; предполагаем, что на данный момент у пакета нет установленных файлов
(Чтение базы данных … на данный момент установлено 194500 файлов и каталогов.)
Подготовка к распаковке …/libwayland-egl1-mesa_17.4~git1801201930.60d8fe~oibaf~x_i386.deb …
Распаковывается libwayland-egl1-mesa:i386 (17.4~git1801201930.60d8fe~oibaf~x) на замену (17.4~git1801200730.436ed6~oibaf~x) …
Подготовка к распаковке …/libdrm-amdgpu1_2.4.89+git1801190630.3509e7~oibaf~x_i386.deb …
Распаковывается libdrm-amdgpu1:i386 (2.4.89+git1801190630.3509e7~oibaf~x) на замену (2.4.83-1~16.04.1) …
dpkg: ошибка при обработке архива /var/cache/apt/archives/libdrm-amdgpu1_2.4.89+git1801190630.3509e7~oibaf~x_i386.deb (--unpack):
 попытка перезаписать «/usr/share/libdrm/amdgpu.ids», который уже имеется в пакете libdrm-common 2.4.83-1~16.04.1
Подготовка к распаковке …/libgbm1_17.4~git1801201930.60d8fe~oibaf~x_i386.deb …
Распаковывается libgbm1:i386 (17.4~git1801201930.60d8fe~oibaf~x) на замену (17.4~git1801200730.436ed6~oibaf~x) …
Подготовка к распаковке …/libegl1-mesa_17.4~git1801201930.60d8fe~oibaf~x_i386.deb …
Распаковывается libegl1-mesa:i386 (17.4~git1801201930.60d8fe~oibaf~x) на замену (17.4~git1801200730.436ed6~oibaf~x) …
Подготовка к распаковке …/libgl1-mesa-dri_17.4~git1801201930.60d8fe~oibaf~x_i386.deb …
Распаковывается libgl1-mesa-dri:i386 (17.4~git1801201930.60d8fe~oibaf~x) на замену (17.4~git1801200730.436ed6~oibaf~x) …
Обрабатываются триггеры для libc-bin (2.23-0ubuntu10) …
При обработке следующих пакетов произошли ошибки:
 /var/cache/apt/archives/libdrm-amdgpu1_2.4.89+git1801190630.3509e7~oibaf~x_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Оффлайн ARTGALGANO

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 1936
    • Просмотр профиля
MaRKerSPB,  неа, не отключили.
ls /etc/apt/sources.list.d/



Оффлайн MaRKerSPB

  • Автор темы
  • Новичок
  • *
  • Сообщений: 12
    • Просмотр профиля
    • Авто Life
MaRKerSPB,  неа, не отключили.
ls /etc/apt/sources.list.d/
Похоже да не отключил... хотя в приложении "Обновления приложений" в разделе источники ПО, я отключить, и в терминале через команду...
ну вот что мне выдало по команде ls /etc/apt/sources.list.d/ что мне дальше то делать )))
sergey@sergey-Lenovo-B50-10:/$ ls /etc/apt/sources.list.d/
intellinuxgraphics.list       oibaf-ubuntu-graphics-drivers-xenial.list
intellinuxgraphics.list.save  oibaf-ubuntu-graphics-drivers-xenial.list.save

Dzhoser

  • Гость
Отредактировать файл etc/apt/sources.list.d/
Закоментировать нужные строки установив в начало символ #.

Оффлайн MaRKerSPB

  • Автор темы
  • Новичок
  • *
  • Сообщений: 12
    • Просмотр профиля
    • Авто Life
Отредактировать файл etc/apt/sources.list.d/
Закоментировать нужные строки установив в начало символ #.
Простите толи лыжи не едут то ли я дурак, ну открыл я этот каталог etc/apt/sources.list.d/ там лежат эти файлы, удалить я их не могу (кнопка удалить в контекстном меню не активно) а при их открытии они все внутри пустые...

Оффлайн ecc83

  • Старожил
  • *
  • Сообщений: 2121
  • Ubuntu Mate 22.04 LTS
    • Просмотр профиля
А так, из терминала:

sudo nano /etc/apt/sources.list.d/intellinuxgraphics.list
sudo nano /etc/apt/sources.list.d/oibaf-ubuntu-graphics-drivers-xenial.list

Оффлайн MaRKerSPB

  • Автор темы
  • Новичок
  • *
  • Сообщений: 12
    • Просмотр профиля
    • Авто Life
Решил вот так попробовать...
sudo add-apt-repository --remove ppa:oibaf/graphics-drivers
sudo apt clean
sudo apt update
sudo apt install -f
sergey@sergey-Lenovo-B50-10:/$ add-apt-repository --remove ppa:oibaf/graphics-drivers
Ошибка: необходимо запускать с правами администратора
sergey@sergey-Lenovo-B50-10:/$ sudo add-apt-repository --remove ppa:oibaf/graphics-drivers
 PLEASE READ: don't email me to report bugs, unless you are sure it's a packaging bug. Not only is email not a good tool for tracking bugs, it also excludes anybody else from tracking or working on the issue. Please read the section "Debugging and reporting problems" below.

=============

Supported Ubuntu versions:
- 16.04 (xenial)
- 17.04 (zesty)
- 17.10 (artful) <- suggested version

For forum support see: http://goo.gl/qoUpWK

=== Introduction ===
This PPA provides updated X (2D) and mesa (3D) free graphics drivers for radeon, intel and nvidia hardware. Updates packages provide:
 * all packages are automatically built twice a day, when there are upstream changes
 * Vulkan support on recent intel and radeon GPU (install with sudo apt install mesa-vulkan-drivers )
 * OpenGL 4.5+ support and new OpenGL extensions: http://mesamatrix.net
 * OpenCL support with updated libclc
 * gallium-nine support installed by default. Read the specific section below
 * VDPAU and VAAPI Gallium3D accelerated video drivers (see below)
 * OpenMAX IL Bellagio and XvMC *only* on zesty and older - disabled since artful due to not being broadly used
 * packages built against latest LLVM
 * Disabled Ubuntu MIR

For more details check the changelogs.

=== Basic usage ===
See "Adding this PPA to your system" later on, or just do:
sudo add-apt-repository ppa:oibaf/graphics-drivers
and update your Ubuntu with the package here.

=== Using gallium-nine ===
Gallium-nine lets you run DirectX 9 games in a faster way, avoiding the inefficient translation of D3D9 calls to OpenGL. For more info see https://wiki.ixit.cz/d3d9
You need:
 * this PPA (includes gallium-nine enabled mesa)
 * wine from this PPA: https://launchpad.net/~commendsarnex/+archive/ubuntu/winedri3
 * then to enable gallium-nine run winecfg and enable native DirectX 9 under Graphics tab

=== Using accelerated video ===
Supported VDPAU drivers: r300, r600, radeonsi, nouveau
Supported VAAPI drivers: r600, radeonsi
Only on zesty and older: supported OpenMAX drivers: r600, radeonsi
Only on zesty and older: supported XvMC drivers: r600, nouveau

* First you need to install mesa-vdpau-drivers package:
sudo apt-get install mesa-vdpau-drivers

* Then to test the VDPAU driver with mpv use:
$ mpv --hwdec=vdpau yourvideofile

* To test the XvMC (e.g.) r600 driver edit the file /etc/X11/XvMCConfig and insert:
/usr/lib/x86_64-linux-gnu/dri/libXvMCr600.so
or, if you are on 32 bit:
/usr/lib/i386-linux-gnu/dri/libXvMCr600.so

and restart the X server. Then to test it with mplayer:
mplayer -vo xvmc yourvideofile

=== Using alternative drivers ===
To run your OpenGL program (in this case glxgears -info) with non default drivers:
* gallium llvmpipe software render:
$ LIBGL_ALWAYS_SOFTWARE=1 glxgears -info

=== Debugging and reporting problems ===
If you have some problem with the drivers try running the application from the command line and see if there are graphics related warnings. Also type dmesg to see if there are other related informations here.

If you get crashes install the relevant -dbg pacakges (libgl1-mesa-dri-dbg or libgl1-mesa-dri-experimental-dbg for 3D drivers and xserver-xorg-video-intel-dbg , xserver-xorg-video-nouveau-dbg or xserver-xorg-video-radeon-dbg for X drivers) and reproduce the crash with gdb. Example:
$ gdb glxgears
[...make your application crash and then get a backtrace with:]
(gdb) bt

If X.org crashes look at /var/log/Xorg.0.log (or /var/log/Xorg.0.log.old when a new X session is started after the crash).

With the gathered informations try searching at https://bugs.freedesktop.org/query.cgi (also try with google) if someone already reported a similar bug. If not you may want to report a new bug:
for 3D drivers bugs: https://bugs.freedesktop.org/enter_bug.cgi?product=Mesa
for X / 2D driver bugs: https://bugs.freedesktop.org/enter_bug.cgi?product=xorg

=== Revert to original drivers ===
To revert to standard Ubuntu drivers type the following in a prompt shell:
$ sudo apt-get install ppa-purge
$ sudo ppa-purge ppa:oibaf/graphics-drivers
 Больше информации: https://launchpad.net/~oibaf/+archive/ubuntu/graphics-drivers
Нажмите [ENTER], чтобы продолжить, или Сtrl-С, чтобы отменить удаление

sergey@sergey-Lenovo-B50-10:/$ sudo apt clean
sergey@sergey-Lenovo-B50-10:/$ sudo apt update
Игн:1 cdrom://Xubuntu 16.04.1 LTS _Xenial Xerus_ - Release i386 (20160719) xenial InRelease
Ошк:2 cdrom://Xubuntu 16.04.1 LTS _Xenial Xerus_ - Release i386 (20160719) xenial Release
  Пожалуйста, используйте apt-cdrom, чтобы APT смог распознать данный CD. apt-get update не используется для добавления нового CD
Сущ:3 http://archive.canonical.com/ubuntu xenial InRelease                                             
Сущ:4 http://security.ubuntu.com/ubuntu xenial-security InRelease                                     
Сущ:5 http://ru.archive.ubuntu.com/ubuntu xenial InRelease                                             
Сущ:6 http://ru.archive.ubuntu.com/ubuntu xenial-updates InRelease 
Сущ:7 http://ru.archive.ubuntu.com/ubuntu xenial-backports InRelease
Чтение списков пакетов… Готово                                     
E: Репозиторий «cdrom://Xubuntu 16.04.1 LTS _Xenial Xerus_ - Release i386 (20160719) xenial Release» не содержит файла Release.
N: Обновление из этого репозитория нельзя выполнить безопасным способом, и поэтому по умолчанию он отключён.
N: Смотрите справочную страницу apt-secure(8) о создании репозитория и настройке пользователя.
sergey@sergey-Lenovo-B50-10:/$ sudo apt install -f
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Исправление зависимостей… не удалось.
Пакеты, имеющие неудовлетворённые зависимости:
 libgl1-mesa-dri : Зависит: libdrm-amdgpu1 (>= 2.4.89+git1801190630.3509e7~oibaf~x) но 2.4.83-1~16.04.1 уже установлен
 mesa-vdpau-drivers : Зависит: libdrm-amdgpu1 (>= 2.4.89+git1801190630.3509e7~oibaf~x) но 2.4.83-1~16.04.1 уже установлен
 xserver-xorg-video-amdgpu : Зависит: libdrm-amdgpu1 (>= 2.4.89+git1712180630.831036~oibaf~x) но 2.4.83-1~16.04.1 уже установлен
E: Ошибка, pkgProblemResolver::Resolve сгенерировал повреждённые пакеты. Это может быть вызвано отложенными (held) пакетами.
E: Невозможно скорректировать зависимости
sergey@sergey-Lenovo-B50-10:/$

Пользователь добавил сообщение 20 Января 2018, 23:50:23:
А так, из терминала:

sudo nano /etc/apt/sources.list.d/intellinuxgraphics.list
sudo nano /etc/apt/sources.list.d/oibaf-ubuntu-graphics-drivers-xenial.list
Если через терминал то тоже пустые файлы...

Оффлайн ARTGALGANO

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 1936
    • Просмотр профиля

показывайтеgrep -Ev '^#|^$' /etc/apt/sources.list{,.d/*.list}

Оффлайн MaRKerSPB

  • Автор темы
  • Новичок
  • *
  • Сообщений: 12
    • Просмотр профиля
    • Авто Life

показывайтеgrep -Ev '^#|^$' /etc/apt/sources.list{,.d/*.list}

Воот...
sergey@sergey-Lenovo-B50-10:/$ grep -Ev '^#|^$' /etc/apt/sources.list{,.d/*.list}
/etc/apt/sources.list:deb cdrom:[Xubuntu 16.04.1 LTS _Xenial Xerus_ - Release i386 (20160719)]/ xenial main multiverse restricted universe
/etc/apt/sources.list:deb http://ru.archive.ubuntu.com/ubuntu/ xenial main restricted
/etc/apt/sources.list:deb http://ru.archive.ubuntu.com/ubuntu/ xenial-updates main restricted
/etc/apt/sources.list:deb http://ru.archive.ubuntu.com/ubuntu/ xenial universe
/etc/apt/sources.list:deb http://ru.archive.ubuntu.com/ubuntu/ xenial-updates universe
/etc/apt/sources.list:deb http://ru.archive.ubuntu.com/ubuntu/ xenial multiverse
/etc/apt/sources.list:deb http://ru.archive.ubuntu.com/ubuntu/ xenial-updates multiverse
/etc/apt/sources.list:deb http://ru.archive.ubuntu.com/ubuntu/ xenial-backports main restricted universe multiverse
/etc/apt/sources.list:deb http://archive.canonical.com/ubuntu xenial partner
/etc/apt/sources.list:deb http://security.ubuntu.com/ubuntu xenial-security main restricted
/etc/apt/sources.list:deb http://security.ubuntu.com/ubuntu xenial-security universe
/etc/apt/sources.list:deb http://security.ubuntu.com/ubuntu xenial-security multiverse

Оффлайн ARTGALGANO

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 1936
    • Просмотр профиля
да верно нет репа. сдром отключите тоже
sudo sed -i 's/.*cdrom/#&/' /etc/apt/sources.list

sudo rm -f  /var/cache/apt/archives/{partial/,}*  /var/lib/apt/lists/{partial/,}*  2>/dev/null
sudo apt update
sudo apt install -f
« Последнее редактирование: 21 Января 2018, 00:05:00 от ARTGALGANO »

Оффлайн ALiEN175

  • Администратор
  • Старожил
  • *
  • Сообщений: 6581
  • 20% Cooler
    • Просмотр профиля
еще backports отключите - совершенно не нужно.
🖥 AsRock B550M Pro4 :: AMD Ryzen 5 3600 :: 16 GB DDR4 :: AMD Radeon RX 6600 :: XFCE
💻 ACER 5750G :: Intel Core i5-2450M :: 6 GB DDR3 :: GeForce GT 630M :: XFCE

Оффлайн MaRKerSPB

  • Автор темы
  • Новичок
  • *
  • Сообщений: 12
    • Просмотр профиля
    • Авто Life
да верно нет репа. сдром отключите тоже
sudo sed -i 's/.*cdrom/#&/' /etc/apt/sources.list

sudo rm -f  /var/cache/apt/archives/{partial/,}*  /var/lib/apt/lists/{partial/,}*  2>/dev/null
sudo apt update
sudo apt install -f

Всё равно не вышло ...
sergey@sergey-Lenovo-B50-10:/$ sudo sed -i 's/.*cdrom/#&/' /etc/apt/sources.list
[sudo] пароль для sergey:
sergey@sergey-Lenovo-B50-10:/$ sudo sed -i 's/.*cdrom/#&/' /etc/apt/sources.list
sergey@sergey-Lenovo-B50-10:/$ sudo rm -f  /var/cache/apt/archives/{partial/,}*  /var/lib/apt/lists/{partial/,}*  2>/dev/null
sergey@sergey-Lenovo-B50-10:/$ sudo apt update
Пол:1 http://ru.archive.ubuntu.com/ubuntu xenial InRelease [247 kB]                                   
Пол:2 http://ru.archive.ubuntu.com/ubuntu xenial-updates InRelease [102 kB]                           
Пол:3 http://ru.archive.ubuntu.com/ubuntu xenial-backports InRelease [102 kB]                         
Пол:4 http://security.ubuntu.com/ubuntu xenial-security InRelease [102 kB]                             
Пол:5 http://ru.archive.ubuntu.com/ubuntu xenial/main i386 Packages [1 196 kB]                         
Пол:6 http://ru.archive.ubuntu.com/ubuntu xenial/main Translation-ru [411 kB]                         
Пол:7 http://ru.archive.ubuntu.com/ubuntu xenial/main Translation-en [568 kB]                         
Пол:8 http://ru.archive.ubuntu.com/ubuntu xenial/main i386 DEP-11 Metadata [733 kB]                   
Пол:9 http://ru.archive.ubuntu.com/ubuntu xenial/main DEP-11 64x64 Icons [409 kB]                     
Пол:10 http://ru.archive.ubuntu.com/ubuntu xenial/restricted i386 Packages [8 684 B]                   
Пол:11 http://ru.archive.ubuntu.com/ubuntu xenial/restricted Translation-ru [2 604 B]                 
Пол:12 http://ru.archive.ubuntu.com/ubuntu xenial/restricted Translation-en [2 908 B]                 
Пол:13 http://ru.archive.ubuntu.com/ubuntu xenial/restricted i386 DEP-11 Metadata [185 B]             
Пол:14 http://ru.archive.ubuntu.com/ubuntu xenial/universe i386 Packages [7 512 kB]                   
Пол:15 http://security.ubuntu.com/ubuntu xenial-security/main i386 Packages [385 kB]                   
Пол:16 http://ru.archive.ubuntu.com/ubuntu xenial/universe Translation-ru [1 153 kB]                   
Пол:17 http://ru.archive.ubuntu.com/ubuntu xenial/universe Translation-en [4 354 kB]                   
Пол:18 http://ru.archive.ubuntu.com/ubuntu xenial/universe i386 DEP-11 Metadata [3 407 kB]             
Пол:19 http://security.ubuntu.com/ubuntu xenial-security/main Translation-en [186 kB]                 
Пол:20 http://ru.archive.ubuntu.com/ubuntu xenial/universe DEP-11 64x64 Icons [7 448 kB]               
Пол:21 http://security.ubuntu.com/ubuntu xenial-security/main i386 DEP-11 Metadata [62,7 kB]           
Пол:22 http://security.ubuntu.com/ubuntu xenial-security/main DEP-11 64x64 Icons [66,2 kB]             
Пол:23 http://ru.archive.ubuntu.com/ubuntu xenial/multiverse i386 Packages [140 kB]                   
Пол:24 http://ru.archive.ubuntu.com/ubuntu xenial/multiverse Translation-ru [83,6 kB]                 
Пол:25 http://ru.archive.ubuntu.com/ubuntu xenial/multiverse Translation-en [106 kB]                   
Пол:26 http://ru.archive.ubuntu.com/ubuntu xenial/multiverse i386 DEP-11 Metadata [62,4 kB]           
Пол:27 http://ru.archive.ubuntu.com/ubuntu xenial/multiverse DEP-11 64x64 Icons [230 kB]               
Пол:28 http://ru.archive.ubuntu.com/ubuntu xenial-updates/main i386 Packages [654 kB]                 
Пол:29 http://security.ubuntu.com/ubuntu xenial-security/restricted i386 Packages [7 224 B]           
Пол:30 http://security.ubuntu.com/ubuntu xenial-security/restricted Translation-en [2 152 B]           
Пол:31 http://security.ubuntu.com/ubuntu xenial-security/restricted i386 DEP-11 Metadata [199 B]       
Пол:32 http://security.ubuntu.com/ubuntu xenial-security/universe i386 Packages [161 kB]               
Пол:33 http://ru.archive.ubuntu.com/ubuntu xenial-updates/main Translation-en [292 kB]                 
Пол:34 http://ru.archive.ubuntu.com/ubuntu xenial-updates/main i386 DEP-11 Metadata [307 kB]           
Пол:35 http://ru.archive.ubuntu.com/ubuntu xenial-updates/main DEP-11 64x64 Icons [222 kB]             
Пол:36 http://ru.archive.ubuntu.com/ubuntu xenial-updates/restricted i386 Packages [7 604 B]           
Пол:37 http://ru.archive.ubuntu.com/ubuntu xenial-updates/restricted Translation-en [2 272 B]         
Пол:38 http://ru.archive.ubuntu.com/ubuntu xenial-updates/restricted i386 DEP-11 Metadata [156 B]     
Пол:39 http://ru.archive.ubuntu.com/ubuntu xenial-updates/universe i386 Packages [535 kB]             
Пол:40 http://ru.archive.ubuntu.com/ubuntu xenial-updates/universe Translation-en [232 kB]             
Пол:41 http://ru.archive.ubuntu.com/ubuntu xenial-updates/universe i386 DEP-11 Metadata [188 kB]       
Пол:42 http://ru.archive.ubuntu.com/ubuntu xenial-updates/universe DEP-11 64x64 Icons [260 kB]         
Пол:43 http://ru.archive.ubuntu.com/ubuntu xenial-updates/multiverse i386 Packages [15,3 kB]           
Пол:44 http://ru.archive.ubuntu.com/ubuntu xenial-updates/multiverse Translation-en [8 052 B]         
Пол:45 http://security.ubuntu.com/ubuntu xenial-security/universe Translation-en [101 kB]             
Пол:46 http://ru.archive.ubuntu.com/ubuntu xenial-updates/multiverse i386 DEP-11 Metadata [7 080 B]   
Пол:47 http://ru.archive.ubuntu.com/ubuntu xenial-updates/multiverse DEP-11 64x64 Icons [14,3 kB]     
Пол:48 http://ru.archive.ubuntu.com/ubuntu xenial-backports/main i386 Packages [4 832 B]               
Пол:49 http://ru.archive.ubuntu.com/ubuntu xenial-backports/main Translation-en [3 220 B]             
Пол:50 http://ru.archive.ubuntu.com/ubuntu xenial-backports/main i386 DEP-11 Metadata [3 324 B]       
Пол:51 http://ru.archive.ubuntu.com/ubuntu xenial-backports/main DEP-11 64x64 Icons [29 B]             
Пол:52 http://ru.archive.ubuntu.com/ubuntu xenial-backports/restricted i386 DEP-11 Metadata [193 B]   
Пол:53 http://ru.archive.ubuntu.com/ubuntu xenial-backports/universe i386 Packages [6 600 B]           
Пол:54 http://ru.archive.ubuntu.com/ubuntu xenial-backports/universe Translation-en [3 768 B]         
Пол:55 http://ru.archive.ubuntu.com/ubuntu xenial-backports/universe i386 DEP-11 Metadata [4 712 B]   
Пол:56 http://ru.archive.ubuntu.com/ubuntu xenial-backports/universe DEP-11 64x64 Icons [2 716 B]     
Пол:57 http://ru.archive.ubuntu.com/ubuntu xenial-backports/multiverse i386 DEP-11 Metadata [216 B]   
Пол:58 http://ru.archive.ubuntu.com/ubuntu xenial-backports/multiverse DEP-11 64x64 Icons [29 B]       
Пол:59 http://security.ubuntu.com/ubuntu xenial-security/universe i386 DEP-11 Metadata [51,4 kB]       
Пол:60 http://security.ubuntu.com/ubuntu xenial-security/universe DEP-11 64x64 Icons [85,1 kB]         
Пол:61 http://security.ubuntu.com/ubuntu xenial-security/multiverse i386 Packages [3 380 B]           
Пол:62 http://security.ubuntu.com/ubuntu xenial-security/multiverse Translation-en [1 408 B]           
Пол:63 http://security.ubuntu.com/ubuntu xenial-security/multiverse i386 DEP-11 Metadata [212 B]       
Пол:64 http://security.ubuntu.com/ubuntu xenial-security/multiverse DEP-11 64x64 Icons [29 B]         
Пол:65 http://archive.canonical.com/ubuntu xenial InRelease [11,5 kB]                                 
Пол:66 http://archive.canonical.com/ubuntu xenial/partner i386 Packages [3 120 B]                     
Пол:67 http://archive.canonical.com/ubuntu xenial/partner Translation-en [1 616 B]                     
Получено 32,3 MБ за 13с (2 359 kБ/c)                                                                   
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Все пакеты имеют последние версии.
sergey@sergey-Lenovo-B50-10:/$ sudo apt install -f
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Исправление зависимостей… не удалось.
Пакеты, имеющие неудовлетворённые зависимости:
 libgl1-mesa-dri : Зависит: libdrm-amdgpu1 (>= 2.4.89+git1801190630.3509e7~oibaf~x) но 2.4.83-1~16.04.1 уже установлен
 mesa-vdpau-drivers : Зависит: libdrm-amdgpu1 (>= 2.4.89+git1801190630.3509e7~oibaf~x) но 2.4.83-1~16.04.1 уже установлен
 xserver-xorg-video-amdgpu : Зависит: libdrm-amdgpu1 (>= 2.4.89+git1712180630.831036~oibaf~x) но 2.4.83-1~16.04.1 уже установлен
E: Ошибка, pkgProblemResolver::Resolve сгенерировал повреждённые пакеты. Это может быть вызвано отложенными (held) пакетами.
E: Невозможно скорректировать зависимости
sergey@sergey-Lenovo-B50-10:/$

Пользователь добавил сообщение 21 Января 2018, 00:10:47:
еще backports отключите - совершенно не нужно.
А как его отключать? Я Linux только сегодня поставил, чёрт ногу сломит))) Но система нравиться)

Оффлайн ARTGALGANO

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 1936
    • Просмотр профиля
sudo apt remove libdrm-amdgpu1?

 

Страница сгенерирована за 0.039 секунд. Запросов: 23.